/****************************************************************************
 * @file    : basic_example.h
 * @author  : novosense
 * @version : V1.0
 * @Date    : 2021/9/30 16:14
 * @brief   : TMR test head files
 * @note
 * Copyright (C) 2021 novosense All rights reserved.
 ****************************************************************************/

// -------------------------------------------------------------------------//
// Define to prevent recursive inclusion 
// -------------------------------------------------------------------------//
#ifndef __SYSTICK_H
#define __SYSTICK_H

// -------------------------------------------------------------------------//
// Private variables
// -------------------------------------------------------------------------//

uint32_t SysTick_Init(void);
void Set_SysTick_CTRL(uint32_t ctrl);
uint8_t Timer_Stop(uint32_t *duration_t,uint32_t start_t);
void delay(uint32_t time);

#endif

/********************************END OF FILE*********************************/
