/****************************************************************************
 * @file    : include.h
 * @author  : Novosense
 * @version : V1.0
 * @Date    : 2021/9/16
 * @brief   : A special header file containing some basic header files
 * @note
 * Copyright (C) 2021 Novosense All rights reserved.
 ****************************************************************************/

// -------------------------------------------------------------------------//
// Define to prevent recursive inclusion
// -------------------------------------------------------------------------//
#ifndef __INCLUDE_H__
#define __INCLUDE_H__

// -------------------------------------------------------------------------//
// Includes-Library(Platform)
// -------------------------------------------------------------------------//
#include "nsuc1600.h"
#include "system.h"

// -------------------------------------------------------------------------//
// Includes-Modules(Common)
// -------------------------------------------------------------------------//
#include "misc.h"

#endif
#define __SECTION(SECT) __attribute__((section(#SECT)))
/********************************END OF FILE*********************************/
